Bug 6964 - Fails to build on QNX because winbind_krb5_locator.so has undefined references to talloc
Fails to build on QNX because winbind_krb5_locator.so has undefined reference...
Status: CLOSED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
unspecified
x86 Other
: P3 normal
: ---
Assigned To: Björn Jacke
Samba QA Contact
http://build.samba.org/?function=View...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-04 00:57 UTC by Matt Kraai
Modified: 2013-02-18 11:19 UTC (History)
1 user (show)

See Also:


Attachments
Link winbind_krb5_locator against libtalloc (1.19 KB, patch)
2009-12-04 00:58 UTC, Matt Kraai
no flags Details
Link winbind_krb5_locator against libtalloc (1.19 KB, patch)
2009-12-04 10:26 UTC, Matt Kraai
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Kraai 2009-12-04 00:57:14 UTC
When the QNX build farm machine tries to build the master version of samba, it fails to link bin/winbind_krb5_locator.so because there are undefined references to talloc functions:

Linking bin/winbind_krb5_locator.so
bin/libwbclient.a(wbclient.o): In function `wbcLibraryDetails':
wbclient.c:(.text+0xbc): undefined reference to `talloc_named_const'
wbclient.c:(.text+0xe0): undefined reference to `talloc_strdup'
wbclient.c:(.text+0x110): undefined reference to `_talloc_free'
bin/libwbclient.a(wbclient.o): In function `wbcFreeMemory':
wbclient.c:(.text+0x144): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_util.o): In function `wbcAddNamedBlob':
wbc_util.c:(.text+0x2d): undefined reference to `_talloc_realloc_array'
wbc_util.c:(.text+0x42): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x5f): undefined reference to `_talloc_memdup'
bin/libwbclient.a(wbc_util.o): In function `wbcResolveWinsByIP':
wbc_util.c:(.text+0x130): undefined reference to `talloc_strdup'
bin/libwbclient.a(wbc_util.o): In function `wbcResolveWinsByName':
wbc_util.c:(.text+0x1c8): undefined reference to `talloc_strdup'
bin/libwbclient.a(wbc_util.o): In function `wbcLookupDomainControllerEx':
wbc_util.c:(.text+0x359): undefined reference to `talloc_named_const'
wbc_util.c:(.text+0x37f): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x3a2): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x3ef): undefined reference to `talloc_named_const'
wbc_util.c:(.text+0x434): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x461): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x4ab): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x4e8): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x523): undefined reference to `_talloc_free'
wbc_util.c:(.text+0x53d): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_util.o): In function `wbcLookupDomainController':
wbc_util.c:(.text+0x5dd): undefined reference to `talloc_named_const'
wbc_util.c:(.text+0x617): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x648): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_util.o): In function `wbcDomainInfo':
wbc_util.c:(.text+0x6f8): undefined reference to `talloc_named_const'
wbc_util.c:(.text+0x715): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x72e): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x7a3): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_util.o): In function `wbcInterfaceDetails':
wbc_util.c:(.text+0x7fa): undefined reference to `talloc_named_const'
wbc_util.c:(.text+0x85f): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x8a6): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x8eb): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x92e): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0x975): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_util.o): In function `wbcListTrusts':
wbc_util.c:(.text+0xa24): undefined reference to `_talloc_array'
wbc_util.c:(.text+0xb46): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0xb86): undefined reference to `talloc_strdup'
wbc_util.c:(.text+0xe66): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcListGroups':
wbc_sid.c:(.text+0x18d): undefined reference to `_talloc_realloc_array'
wbc_sid.c:(.text+0x1b1): undefined reference to `talloc_strdup'
wbc_sid.c:(.text+0x23f): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcListUsers':
wbc_sid.c:(.text+0x367): undefined reference to `_talloc_realloc_array'
wbc_sid.c:(.text+0x38b): undefined reference to `talloc_strdup'
wbc_sid.c:(.text+0x419): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcSidToString':
wbc_sid.c:(.text+0x696): undefined reference to `talloc_asprintf'
wbc_sid.c:(.text+0x6c9): undefined reference to `talloc_asprintf_append'
wbc_sid.c:(.text+0x70a): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcGetSidAliases':
wbc_sid.c:(.text+0x7ed): undefined reference to `_talloc_array'
wbc_sid.c:(.text+0x8c4): undefined reference to `_talloc_realloc_array'
wbc_sid.c:(.text+0x995): undefined reference to `_talloc_array'
wbc_sid.c:(.text+0xad6): undefined reference to `_talloc_free'
wbc_sid.c:(.text+0xb03): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcLookupUserSids':
wbc_sid.c:(.text+0xc30): undefined reference to `_talloc_array'
wbc_sid.c:(.text+0xd1b): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcLookupRids':
wbc_sid.c:(.text+0xdf1): undefined reference to `_talloc_zero_array'
wbc_sid.c:(.text+0xeee): undefined reference to `_talloc_free'
wbc_sid.c:(.text+0xf0a): undefined reference to `talloc_strdup'
wbc_sid.c:(.text+0xf4a): undefined reference to `_talloc_array'
wbc_sid.c:(.text+0xf87): undefined reference to `_talloc_array'
wbc_sid.c:(.text+0x103c): undefined reference to `talloc_strdup'
wbc_sid.c:(.text+0x1113): undefined reference to `_talloc_free'
wbc_sid.c:(.text+0x1134): undefined reference to `_talloc_free'
wbc_sid.c:(.text+0x1155): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcLookupSid':
wbc_sid.c:(.text+0x1225): undefined reference to `talloc_strdup'
wbc_sid.c:(.text+0x124c): undefined reference to `talloc_strdup'
wbc_sid.c:(.text+0x1292): undefined reference to `_talloc_free'
wbc_sid.c:(.text+0x12b2): undefined reference to `_talloc_free'
wbc_sid.c:(.text+0x12e5): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_sid.o): In function `wbcGetDisplayName':
wbc_sid.c:(.text+0x1383): undefined reference to `talloc_strdup'
bin/libwbclient.a(wbc_guid.o): In function `wbcGuidToString':
wbc_guid.c:(.text+0x173): undefined reference to `talloc_asprintf'
bin/libwbclient.a(wbc_pwd.o): In function `wbcGetGroups':
wbc_pwd.c:(.text+0x22c): undefined reference to `_talloc_array'
wbc_pwd.c:(.text+0x29d): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_pwd.o): In function `copy_passwd_entry':
wbc_pwd.c:(.text+0x2d1): undefined reference to `talloc_named_const'
wbc_pwd.c:(.text+0x2e8): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x301): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x31b): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x335): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x34f): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x37d): undefined reference to `_talloc_free'
bin/libwbclient.a(wbc_pwd.o): In function `copy_group_entry':
wbc_pwd.c:(.text+0x5c7): undefined reference to `talloc_named_const'
wbc_pwd.c:(.text+0x5e1): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x603): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x63f): undefined reference to `_talloc_array'
wbc_pwd.c:(.text+0x69d): undefined reference to `talloc_strdup'
wbc_pwd.c:(.text+0x703): undefined reference to `_talloc_free'
collect2: ld returned 1 exit status
Comment 1 Matt Kraai 2009-12-04 00:58:01 UTC
Created attachment 5052 [details]
Link winbind_krb5_locator against libtalloc
Comment 2 Matt Kraai 2009-12-04 00:58:28 UTC
(In reply to comment #1)
> Created an attachment (id=5052) [details]
> Link winbind_krb5_locator against libtalloc

I haven't tested this patch yet, but I'll try to do so tomorrow.
Comment 3 Matt Kraai 2009-12-04 10:26:35 UTC
Created attachment 5055 [details]
Link winbind_krb5_locator against libtalloc

I've verified that this patch fixes the build.  It differs from the previous version in that it adds libtalloc after libwbclient, since the references to libtalloc come from libwbclient.
Comment 4 Guenther Deschner 2011-03-11 12:39:01 UTC
Bjoern, as libwbclient no longer uses talloc, we can just close this one, right ?
Comment 5 Björn Jacke 2013-02-18 11:19:09 UTC
i think yes. Matt: In case this problem still persists, please complain loud :-)